<?php
class eventclass_logistics_driver_app_access  extends TableEventsBase {
	
	function init() {
		$this->events = array(
	'AfterEdit' => true,
	'AfterAdd' => true,
	'AfterDelete' => true 
);
		$this->fieldValues = array(
	'filterLimit' => array(
		 
	),
	'mapIcon' => array(
		 
	),
	'viewCustom' => array(
		 
	),
	'lookupWhere' => array(
		 
	),
	'viewFileText' => array(
		 
	),
	'defaultValue' => array(
		 
	),
	'autoUpdateValue' => array(
		 
	),
	'uploadFolder' => array(
		 
	),
	'viewPluginInit' => array(
		 
	),
	'editPluginInit' => array(
		 
	) 
);
			}
		function AfterEdit( &$values, $where, &$oldvalues, &$keys, $inline, $pageObject ) {
		dswdHistoryAfterUpdate(
    "LOGISTICS_DRIVER_APP_ACCESS",
    $keys,
    $values,
    $oldvalues
);
		;
		
	}

	function AfterAdd( &$values, &$keys, $inline, $pageObject ) {
		dswdHistoryAfterAdd(
    "LOGISTICS_DRIVER_APP_ACCESS",
    $keys,
    $values
);
		;
		
	}

	function AfterDelete( $where, &$deleted_values, &$message, $pageObject ) {
		dswdHistoryAfterDelete(
    "LOGISTICS_DRIVER_APP_ACCESS",
    $deleted_values
);


		;
		
	}
		

}


?>